Bug 1121753 - In content view history, descriptions entered during publishing are not shown
Summary: In content view history, descriptions entered during publishing are not shown
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: David Davis
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1121765
TreeView+ depends on / blocked
 
Reported: 2014-07-21 19:12 UTC by Erik M Jacobs
Modified: 2017-02-23 21:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:10:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 7614 None None None 2016-04-22 15:04:47 UTC

Description Erik M Jacobs 2014-07-21 19:12:47 UTC
Description of problem:

We currently provide a text box for a user to enter a description when they go to publish a new/changes to a content view.

However, when viewing the history of that content view, we do not display these descriptions. There appears to be no way to see this info in the UI.

Versions:
foreman-1.6.0.21-1.el6sat.noarch
foreman-compute-1.6.0.21-1.el6sat.noarch
foreman-gce-1.6.0.21-1.el6sat.noarch
foreman-libvirt-1.6.0.21-1.el6sat.noarch
foreman-ovirt-1.6.0.21-1.el6sat.noarch
foreman-postgresql-1.6.0.21-1.el6sat.noarch
foreman-proxy-1.6.0.9-1.el6sat.noarch
foreman-selinux-1.6.0-5.el6sat.noarch
foreman-vmware-1.6.0.21-1.el6sat.noarch
katello-1.5.0-26.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.53-1.el6sat.noarch
pulp-katello-0.3-3.el6sat.noarch
ruby193-rubygem-foreman_bootdisk-2.0.6-1.1.el6sat.noarch
ruby193-rubygem-foreman_discovery-1.3.0-0.1.rc2.el6sat.noarch
ruby193-rubygem-foreman_hooks-0.3.5-2.el6sat.noarch
ruby193-rubygem-foreman-redhat_access-0.0.4-1.el6sat.noarch
ruby193-rubygem-foreman-tasks-0.6.3-2.el6sat.noarch
ruby193-rubygem-katello-1.5.0-65.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.1-9.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.el6sat.noarch
rubygem-hammer_cli_katello-0.0.4-7.el6sat.noarch

Comment 1 RHEL Product and Program Management 2014-07-21 19:14:05 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 David Davis 2014-08-22 12:21:10 UTC
I looked into this bug and the issue is not that we're not displaying the description. The issue is that we're not even saving description. Setting to High as this could lead to data loss. We may want to include some release notes in the 6.0 release.

Comment 4 Brad Buckingham 2014-08-22 13:20:20 UTC
At a minimum, we can document that the 'description' field associated with a Content View is not currently used or saved.

Comment 5 Mike McCune 2014-08-26 05:20:46 UTC
DOCS:

Users entering a "Description" into the Content View publishing user interface will not be saved in the database and not be able to be referred to at a later date.

WORKAROUND:

Ignore and don't use the Description field on the Content View publish screens.

Comment 7 Partha Aji 2014-09-17 11:40:27 UTC
Created redmine issue http://projects.theforeman.org/issues/7493 from this bug

Comment 8 Bryan Kearney 2014-09-30 00:03:08 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7493 has been closed
-------------
David Davis
Applied in changeset commit:katello|cf63c753e2c86b024702d063ff71a58ca8d0e8aa.

Comment 9 jcallaha 2014-10-10 19:19:59 UTC
Failed QA because, although the descriptions were patched to be saved, the user is still unable to view them in Content View History. 

Failed in RHEL6/RHEL7

* candlepin-0.9.32-1.el7.noarch
* candlepin-common-1.0.8-1.el7.noarch
* candlepin-selinux-0.9.32-1.el7.noarch
* candlepin-tomcat-0.9.32-1.el7.noarch
* elasticsearch-0.90.10-7.el7.noarch
* foreman-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* foreman-compute-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* foreman-gce-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* foreman-libvirt-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* foreman-ovirt-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* foreman-postgresql-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* foreman-proxy-1.7.0-0.develop.201410081229git52f0bac.el7.noarch
* foreman-release-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* foreman-selinux-1.7.0-0.develop.201409301113git2f345de.el7.noarch
* foreman-vmware-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* katello-2.1.0-1.201410091752gitc9c45c1.el7.noarch
* katello-certs-tools-2.0.1-1.el7.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-2.1.0-1.201410021645git304e036.el7.noarch
* katello-repos-2.1.1-1.el7.noarch
* katello-server-ca-1.0-1.noarch
* openldap-2.4.39-3.el7.x86_64
* pulp-docker-plugins-0.2.1-0.2.beta.el7.noarch
* pulp-katello-0.3-3.el7.noarch
* pulp-nodes-common-2.5.0-0.7.beta.el7.noarch
* pulp-nodes-parent-2.5.0-0.7.beta.el7.noarch
* pulp-puppet-plugins-2.5.0-0.7.beta.el7.noarch
* pulp-puppet-tools-2.5.0-0.7.beta.el7.noarch
* pulp-rpm-plugins-2.5.0-0.7.beta.el7.noarch
* pulp-selinux-2.5.0-0.7.beta.el7.noarch
* pulp-server-2.5.0-0.7.beta.el7.noarch
* python-ldap-2.4.6-6.el7.x86_64
* ruby193-rubygem-ldap_fluff-0.3.1-1.el7.noarch
* ruby193-rubygem-net-ldap-0.3.1-2.el7.noarch
* ruby193-rubygem-runcible-1.2.0-1.el7.noarch
* rubygem-hammer_cli-0.1.3-1.201409240954gitf3c47c7.el7.noarch
* rubygem-hammer_cli_foreman-0.1.3-1.201409191432gitc38f9c8.el7.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch
* rubygem-hammer_cli_import-0.10.4-1.el7.noarch
* rubygem-hammer_cli_katello-0.0.6-1.201410091836gitf7ca881.git.0.4d3b99d.el7.noarch

Comment 10 David Davis 2014-10-14 11:48:24 UTC
Oops, this was associated with the wrong redmine issue and was thus closed erroneously.

Comment 11 David Davis 2014-11-04 15:22:20 UTC
This was fixed upstream when we added a version info page:

http://projects.theforeman.org/issues/7609

SHA

922979de62c382cab341fb22f8d7bf9a8563c244

Comment 12 jcallaha 2014-11-04 21:26:24 UTC
*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

Verified in RHEL6/RHEL7

foreman-ovirt-1.8.0-0.develop.201411041028git42085b7.el6.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410gitc96619d.git.0.37f3704.el6.noarch
foreman-libvirt-1.8.0-0.develop.201411041028git42085b7.el6.noarch
foreman-proxy-1.8.0-0.develop.201411031236git3f4ee4b.el6.noarch
qe-foreman-rhel66.usersys.redhat.com-foreman-proxy-1.0-1.noarch
foreman-selinux-1.8.0-0.develop.201410280941git10de1c5.el6.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201410151235gitbc8c449.el6.noarch
foreman-release-1.8.0-0.develop.201411041028git42085b7.el6.noarch
foreman-1.8.0-0.develop.201411041028git42085b7.el6.noarch
foreman-vmware-1.8.0-0.develop.201411041028git42085b7.el6.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el6.noarch
qe-foreman-rhel66.usersys.redhat.com-puppet-client-1.0-1.noarch
foreman-compute-1.8.0-0.develop.201411041028git42085b7.el6.noarch
foreman-gce-1.8.0-0.develop.201411041028git42085b7.el6.noarch
ruby193-rubygem-foreman_discovery-1.4.0-2.el6.noarch
qe-foreman-rhel66.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-foreman-rhel66.usersys.redhat.com-qpid-client-cert-1.0-1.noarch
ruby193-rubygem-foreman_docker-0.2.0-1.el6.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6.noarch
qe-foreman-rhel66.usersys.redhat.com-apache-1.0-1.noarch
qe-foreman-rhel66.usersys.redhat.com-parent-cert-1.0-1.noarch
ruby193-rubygem-foreman-tasks-0.6.10-1.el6.noarch
foreman-postgresql-1.8.0-0.develop.201411041028git42085b7.el6.noarch
qe-foreman-rhel66.usersys.redhat.com-qpid-broker-1.0-1.noarch

Comment 13 Bryan Kearney 2015-08-11 13:22:38 UTC
This bug is slated to be released with Satellite 6.1.

Comment 14 errata-xmlrpc 2015-08-12 05:10:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.